OrderedByteArrayMap (Siena 2.0.4 API Documentation)
Date: 2015-05-17

siena.dvdrp

## Class OrderedByteArrayMap<E>

- java.lang.Object
- - java.util.AbstractMap<K,V>
  - - java.util.TreeMap<byte[],E>
    - - siena.dvdrp.OrderedByteArrayMap<E>

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Cloneable, java.util.Map<byte[],E>, java.util.NavigableMap<byte[],E>, java.util.SortedMap<byte[],E>

      public class OrderedByteArrayMap<E>
      extends java.util.TreeMap<byte[],E>

  an ordered Map using byte arrays as keys.
  See Also:
    Serialized Form

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class java.util.AbstractMap

      `java.util.AbstractMap.SimpleEntry<K,V>, java.util.AbstractMap.SimpleImmutableEntry<K,V>`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `OrderedByteArrayMap()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `toString()` for debugging purposes only

    - ### Methods inherited from class java.util.TreeMap

      `ceilingEntry, ceilingKey, clear, clone, comparator, containsKey, containsValue, descendingKeySet, descendingMap, entrySet, firstEntry, firstKey, floorEntry, floorKey, get, headMap, headMap, higherEntry, higherKey, keySet, lastEntry, lastKey, lowerEntry, lowerKey, navigableKeySet, pollFirstEntry, pollLastEntry, put, putAll, remove, size, subMap, subMap, tailMap, tailMap, values`

    - ### Methods inherited from class java.util.AbstractMap

      `equals, hashCode, isEmpty`

    - ### Methods inherited from class java.lang.Object

      `finalize, getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface java.util.Map

      `equals, hashCode, isEmpty`

- - ### Constructor Detail

    - #### OrderedByteArrayMap

          public OrderedByteArrayMap()

  - ### Method Detail

    - #### toString

          public java.lang.String toString()

      for debugging purposes only
      Overrides:
        `toString` in class `java.util.AbstractMap<byte[],E>`

Copyright © 2000-2005 University of Colorado.
Copyright © 2005-2011 Antonio Carzaniga.
This documentation is maintained by Antonio Carzaniga